Package gov.nasa.gsfc.sscweb.schema

# Class BFieldModel

java.lang.Object
gov.nasa.gsfc.sscweb.schema.BFieldModel

public class BFieldModel extends Object
Magnetic field Model. <p>Java class for BFieldModel complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="BFieldModel"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="InternalBFieldModel" type="{http://sscweb.gsfc.nasa.gov/schema}InternalBFieldModel"/> <element name="ExternalBFieldModel" type="{http://sscweb.gsfc.nasa.gov/schema}ExternalBFieldModel" minOccurs="0"/> <element name="TraceStopAltitude" type="{http://www.w3.org/2001/XMLSchema}int"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ExternalBFieldModel`
  `externalBFieldModel`
  External B-Field model.
  `protected InternalBFieldModel`
  `internalBFieldModel`
  Internal B-Field model.
  `protected int`
  `traceStopAltitude`
  Stop altitude for downward tracing of field lines.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BFieldModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExternalBFieldModel`
  `getExternalBFieldModel()`
  External B-Field model.
  `InternalBFieldModel`
  `getInternalBFieldModel()`
  Internal B-Field model.
  `int`
  `getTraceStopAltitude()`
  Stop altitude for downward tracing of field lines.
  `void`
  `setExternalBFieldModel(ExternalBFieldModel value)`
  Sets the value of the externalBFieldModel property.
  `void`
  `setInternalBFieldModel(InternalBFieldModel value)`
  Sets the value of the internalBFieldModel property.
  `void`
  `setTraceStopAltitude(int value)`
  Sets the value of the traceStopAltitude property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### internalBFieldModel

    protected InternalBFieldModel internalBFieldModel
    Internal B-Field model.

  - ### externalBFieldModel

    protected ExternalBFieldModel externalBFieldModel
    External B-Field model.

  - ### traceStopAltitude

    protected int traceStopAltitude
    Stop altitude for downward tracing of field lines.

- ## Constructor Details

  - ### BFieldModel

    public BFieldModel()

- ## Method Details

  - ### getInternalBFieldModel

    public InternalBFieldModel getInternalBFieldModel()
    Internal B-Field model.
    Returns:
      possible object is `InternalBFieldModel`

  - ### setInternalBFieldModel

    public void setInternalBFieldModel(InternalBFieldModel value)
    Sets the value of the internalBFieldModel property.
    Parameters:
      `value` - allowed object is `InternalBFieldModel`
    See Also:
      - `getInternalBFieldModel()`

  - ### getExternalBFieldModel

    public ExternalBFieldModel getExternalBFieldModel()
    External B-Field model.
    Returns:
      possible object is `ExternalBFieldModel`

  - ### setExternalBFieldModel

    public void setExternalBFieldModel(ExternalBFieldModel value)
    Sets the value of the externalBFieldModel property.
    Parameters:
      `value` - allowed object is `ExternalBFieldModel`
    See Also:
      - `getExternalBFieldModel()`

  - ### getTraceStopAltitude

    public int getTraceStopAltitude()
    Stop altitude for downward tracing of field lines.

  - ### setTraceStopAltitude

    public void setTraceStopAltitude(int value)
    Sets the value of the traceStopAltitude property.